<?php

require_once('config.php');

$customers = null;
$customer = null;

function soma_grade(){
        $sql = "SELECT titulo, SUM(subtotal) AS totalizacaoGrade from grade WHERE grade.dir = 3 GROUP by `titulo`";
        $resultado = $mysqli->query($sql);
        $row = mysqli_fetch_assoc($resultado);
}


/**
 *  Listagem de Clientes
 */
function index() {
	global $customers;
	$customers = find_all('companies');
}

/**
 *  Cadastro de Clientes
 */

function add() {

  if (!empty($_POST['customer'])) {
    
    $today = 
      date_create('now', new DateTimeZone('America/Sao_Paulo'));

    $customer = $_POST['customer'];
    $customer['modified'] = $customer['created'] = $today->format("Y-m-d H:i:s");
    
    save('companies', $customer);
    header('location: index.php');
  }
}

/**
 *	Atualizacao/Edicao de Cliente
 */
function edit() {

  $now = date_create('now', new DateTimeZone('America/Sao_Paulo'));

  if (isset($_GET['id'])) {

    $id = $_GET['id'];

    if (isset($_POST['customer'])) {

      $customer = $_POST['customer'];
      $customer['modified'] = $now->format("Y-m-d H:i:s");

      update('companies', $id, $customer);
      header('location: index.php');
    } else {

      global $customer;
      $customer = find('companies', $id);
    } 
  } else {
    header('location: index.php');
  }
}

/**
 *  Visualização de um Cliente
 */

function view($id = null) {
  global $customer;
  $customer = find('companies', $id);
}

/**
 *  Exclusão de um Cliente
 */

function delete($id = null) {

  global $customer;
  $customer = remove('companies', $id);

  header('location: index.php');
}
?>